Remove PTY session
Terminate and remove one PTY session.
DELETE
/api/pty/{ptyID}Path parameters
ptyIDobjectrequiredQuery parameters
locationobject | anyResponses
204<No Content>
400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequired404PtyNotFoundError
_tagstringrequiredAllowed:
PtyNotFoundErrorptyIDstringrequiredmessagestringrequiredRequest
curl -X DELETE "/api/pty/%5Bobject%20Object%5D"const response = await fetch("/api/pty/%5Bobject%20Object%5D", {
method: "DELETE"
});import requests
response = requests.delete(
"/api/pty/%5Bobject%20Object%5D",
)Response
<No Content>
{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}{
"_tag": "PtyNotFoundError",
"ptyID": "string",
"message": "string"
}